Package: org.grails.encoder.impl

## [Groovy] Class HTMLCodecFactory

- org.grails.encoder.impl.HTMLCodecFactory

- All Implemented Interfaces and Traits:
    CodecFactory

      @groovy.transform.CompileStatic
      class HTMLCodecFactory
      extends java.lang.Object
      implements CodecFactory

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `class` | `HTMLCodecFactory.1` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private Decoder` | `decoder` |
    `private Encoder` | `encoder` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Decoder` | `decoder`
    `Encoder` | `encoder`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HTMLCodecFactory ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private Decoder decoder

    - #### private Encoder encoder

  - ### Property Detail

    - #### Decoder decoder

    - #### Encoder encoder

  - ### Constructor Detail

    - #### HTMLCodecFactory()